Subject: Re: sockets, timer and windows events
From: [email-masked] (Stefan Trcek)

21 Jan 1997 09:59:49 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <9701171608.AA18590@ltisun9>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01 (WinNT; I)
Original-To: [email-masked]
Original-CC: [email-masked]
Original-Sender: [email-masked]

I don't know to much about cygwin, but for native NT it is suggested by
M$ to make a blocking recv on a socket, this means n sockets = n+1
threads (one for gui).  I use this approach.

Probably the select isn't implemented very efficiently.  I know that the
socket descriptors ready for incoming data (in select) are stored in an
array, while in unix they are stored as bit vector.

You may have a look at WaitForMultipleObjects or
MsgWaitForMultipleObjectsEx (no problem if you have VC++ installed). 
The latter may wait for "I/O completion" - whatever this means under NT.

-- 

Stefan Trcek
http://www.abas.de
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".